|  | Home · All Classes · Modules

# QHelpIndexWidget Class Reference
[QtHelp module]

The QHelpIndexWidget class provides a list view displaying the QHelpIndexModel. More...

Inherits QListView.

### Methods

- activateCurrentItem (self)
- filterIndices (self, QString filter, QString wildcard = QString())

### Qt Signals

- void linkActivated (const QUrl&,const QString&)
- void linksActivated (const QMap<QString,QUrl>&,const QString&)

## Detailed Description

The QHelpIndexWidget class provides a list view displaying the QHelpIndexModel.

## Method Documentation

### QHelpIndexWidget.activateCurrentItem (self)

This method is also a Qt slot with the C++ signature `void activateCurrentItem()`.

Activates the current item which will result eventually in the emitting of a linkActivated() or linksActivated() signal.

### QHelpIndexWidget.filterIndices (self, QString filter, QString wildcard = QString())

This method is also a Qt slot with the C++ signature `void filterIndices(const QString&,const QString& = QString())`.

Filters the indices according to filter or wildcard. The item with the best match is set as current item.

See also QHelpIndexModel.filter().

## Qt Signal Documentation

### void linkActivated (const QUrl&,const QString&)

This is the default overload of this signal.

This signal is emitted when an item is activated and its associated link should be shown. To know where the link belongs to, the keyword is given as a second paremeter.

### void linksActivated (const QMap<QString,QUrl>&,const QString&)

This is the default overload of this signal.

This signal is emitted when the item representing the keyword is activated and the item has more than one link associated. The links consist of the document title and their URL.